File: control

package info (click to toggle)
comedilib 0.11.0-1
  • links: PTS
  • area: main
  • in suites: bullseye, sid
  • size: 8,388 kB
  • sloc: xml: 19,779; ansic: 14,719; sh: 4,583; cpp: 2,195; ruby: 1,658; perl: 700; makefile: 604; yacc: 439; lex: 86; python: 17
file content (88 lines) | stat: -rw-r--r-- 3,020 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
Source: comedilib
Section: devel
Priority: optional
Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dpkg-dev (>= 1.16.1~), 
               autotools-dev,
               swig, 
               docbook-utils, 
               dblatex, 
               bison, 
               flex, 
               libtool, 
               xmlto, 
               imagemagick, 
               fop,
               libboost-program-options-dev,
               libgsl-dev,
               python-all-dev, 
               python3-all-dev, 
               libboost-dev, 
               dh-autoreconf
Standards-Version: 4.3.0
Homepage: http://www.comedi.org

Package: libcomedi-dev
Section: libdevel
Architecture: any
Depends: libcomedi0 (= ${binary:Version}), 
         ${misc:Depends}
Description: Development library for Comedi
 Comedilib is a library for using Comedi, a driver interface for data
 acquisition hardware.
 .
 This package contains headers, static libraries, documentation, and
 examples for writing software that uses the Comedilib library.  You
 only need to install it if you plan to develop or compile software
 that uses Comedilib.

Package: libcomedi0
Section: libs
Architecture: any
Depends: ${misc:Depends}, 
         ${shlibs:Depends}, 
         adduser
Recommends: udev
Description: Library for Comedi
 Comedilib is a library for using Comedi, a driver interface for data
 acquisition hardware.  Comedi supports a wide variety of ISA and PCI
 devices that contain analog-to-digital converters, digital-to-analog
 converters, digital input/output, counters and timers.  The full list
 of support devices can be found in the libcomedi-dev documentation.
 .
 This package contains the shared library component of Comedilib.  In
 general, this package will be automatically installed as a dependency
 of application or other library packages.
 .
 In order to effectively use this package, you need to have compiled
 and installed the Comedi kernel modules.  The source for Comedi is
 available in the comedi-source package, which also contains
 instructions on how to compile and install the modules.

Package: python-comedilib
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: Python wrapper for Comedilib
 Comedilib is a library for using Comedi, a driver interface for data
 acquisition hardware.  See the libcomedi0 package for more information.
 .
 This package provides Python bindings to the comedi library.

Package: python3-comedilib
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Provides: ${python3:Provides}
Description: Python3 wrapper for Comedilib
 Comedilib is a library for using Comedi, a driver interface for data
 acquisition hardware.  See the libcomedi0 package for more information.
 .
 This package provides Python3 bindings to the comedi library.